#!/bin/rc
# install.sh - install script for UNIX
# usage: install.sh [all|acme|games|office|pim|sys|wm]

# copy files
chmod +x */unix/bin/*
copydir(){
	cp -r $1/unix/* $HOME		
}

# install the selected categories
if [ $# = 0 ]; then
	CATG=default
else
	CATG="$@"
fi
for category in "$CATG"; do
	case "$category" in
	all)
		./install.sh default
		./install.sh games
		;;
	default)
		./install.sh office
		./install.sh pim
		./install.sh sys
		./install.sh wm
		;;
	*)
		copydir $category
	esac
done
